Skip to Content
inclamoDocs

Destroy Custom Attributes

POST
/api/v1/accounts/{account_id}/conversations/{conversation_id}/destroy_custom_attributes

Removes the given custom attribute keys from a conversation

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

conversation_id*integer

The numeric ID of the conversation

Request Body

application/json
  1. body
custom_attributes*array<string>

The list of custom attribute keys to remove from the conversation

Response Body

Success

application/json
  1. response
custom_attributes?

The remaining custom attributes of the conversation

Example Request
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/conversations/0/destroy_custom_attributes' \  -H 'Content-Type: application/json' \  -d '{  "custom_attributes": [    "string"  ]}'
Example Response
{  "custom_attributes": {}}